@import '~@/assets/scss/reset.scss';

html {
  scroll-behavior: smooth;

  &.no-scroll {
    overflow: hidden;
  }
}

.first-block-wrapper {
  padding-top: 103px;

  @media (max-width: 1200px) {
    padding-top: 83px;
  }
}

.page-wrapper {
  display: flex;
  flex-direction: column;
  flex: 1;
}

.ps-container {
  max-width: 1248px;
  padding: 0 24px;
  margin: 0 auto;

  @media (max-width: 1200px) {
    max-width: none;
    margin: unset;
    padding: 0 12px;
  }
}

html, body {
  background-color: #0D0E10;
  overflow-x: hidden;
}

.creepster-heading {
  font-family: 'Creepster', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 52px;
  line-height: 61px;
  text-align: center;
  letter-spacing: 0.06em;
  color: #E4E4E4;

  @media (max-width: 1200px) {
    font-size: 36px;
    line-height: 42px;
  }
}

.collapsed .navbar-toggler-icon {
  background-image: url("~static/img/nav-toggle-open.png");
}

.not-collapsed .navbar-toggler-icon {
  background-image: url("~static/img/nav-toggle-close.png");
}

.notification {
  padding: 12px 36px 12px 12px;
  position: relative;
  text-align: center;
  font-size: 18px;
  line-height: 130%;
  color: white;
  background: linear-gradient(0deg, #F39200 -0.52%, #F18804 14.99%, #EB5E15 83.88%, #E94E1B 119.27%);

  a {
    color: #fff;
    font-size: 1.1em;
    font-weight: bold;
    text-decoration: underline;
    font-family: Creepster, sans-serif;
  }

  &__close {
    position: absolute;
    right: 16px;
    top: 12px;
    font-size: 32px;
    cursor: pointer;
  }
}

.crypto-com-nft-logo {
  margin-left: 4px;
  display: inline-block;
  width: 178px;
  height: 23px;
  background: url("~static/img/verification/crypto-com.png") no-repeat bottom / contain;

  @media (max-width: 1200px) {
    width: 138px;
    height: 20px;
  }
}

.opensea-logo {
  max-height: 100%;
  margin-left: 4px;
  display: inline-block;
  width: 133px;
  height: 30px;
  background: url("~static/img/verification/opensea.png") no-repeat bottom / contain;

  @media (max-width: 1200px) {
    width: 110px;
  }
}

@media (max-width: 1200px) {
  .desktop-only {
    display: none !important;
  }
}

@media (min-width: 1201px) {
  .mobile-only {
    display: none !important;
  }
}
